<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhentao.mapper.HomeFunctionGridMapper">

    <resultMap id="BaseResultMap" type="com.zhentao.entity.HomeFunctionGrid">
            <id property="id" column="id" />
            <result property="name" column="name" />
            <result property="icon" column="icon" />
            <result property="path" column="path" />
            <result property="bgColor" column="bg_color" />
            <result property="iconColor" column="icon_color" />
            <result property="gradient" column="gradient" />
            <result property="needLogin" column="need_login" />
            <result property="sort" column="sort" />
            <result property="status" column="status" />
            <result property="createTime" column="create_time" />
            <result property="updateTime" column="update_time" />
    </resultMap>

    <sql id="Base_Column_List">
        id,name,icon,path,bg_color,icon_color,
        gradient,need_login,sort,status,create_time,
        update_time
    </sql>
</mapper>
